/*  $Id: eeeapplet.h 2257 2006-12-19 19:49:00Z nick $
 *
 *  Copyright (c) 2006-2007 John Doo <john@foo.org>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __EEEAPPLET_H__
#define __EEEAPPLET_H__

#define NETPROFILESDIR "/etc/network.d/"
#define BATTERYINFO "/proc/acpi/battery/BAT0/info"
#define BATTERYSTATE "/proc/acpi/battery/BAT0/state"
#define CPUSPEED "/sys/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq"
#define SCRIPTSDIR "/.eeescripts/"

#define ICON_CONNECTED "network-idle"
#define ICON_DISCONNECTED "network-offline"
#define ICON_ERROR "network-error"
#define ICON_SCRIPT "window-new"

#define BATTERYUPDATETIME 60
#define CPUUPDATEITIME 0

#define MAXNETWORKS 10
#define MAXNAMELENGTH 100

#define BATTERYLOWALERT 10

G_BEGIN_DECLS



/* plugin structure */
typedef struct
{
    XfcePanelPlugin *plugin;

    /* panel widgets */
    GtkWidget       *ebox;
    GtkWidget       *hvbox;
    GtkWidget       *button;
    GtkWidget 		*scriptbutton;
    
    GtkWidget       *menu;
    GtkWidget       *scriptmenu;
    GtkWidget     *image;
    GtkWidget     *options[MAXNETWORKS];
    GtkWidget     *gauge;
    GtkWidget     *label;
    
    guint timer;
    

    /* eeeapplet settings */
    gchar           *cfgnetprofilesdir;
    gchar           *cfgbatteryinfo;
    gchar           *cfgbatterystate;
    gchar			*cfgcpuspeed;
    
    gchar			*setting1;
    gint             setting2;
    gboolean         setting3;
}
EEEAppletPlugin;

typedef struct
{
	EEEAppletPlugin * eeeapplet;
	char name[MAXNAMELENGTH];
}
NetworkData;

NetworkData data[MAXNETWORKS];

char connected[MAXNETWORKS][MAXNAMELENGTH];
int batterymax;
int timetobattery;
int timetocpu;
int batterylow;
char batterystate[20];
EEEAppletPlugin   *eeeapplet;


void
eeeapplet_save (XfcePanelPlugin *plugin,
             EEEAppletPlugin    *eeeapplet);

G_END_DECLS

#endif /* !__EEEAPPLET_H__ */
